]>
Commit | Line | Data |
---|---|---|
1a62a722 TR |
1 | # SPDX-License-Identifier: GPL-2.0+ |
2 | ||
8b0b5017 PH |
3 | variables: |
4 | DEFAULT_TAG: "" | |
74bcbb13 | 5 | MIRROR_DOCKER: docker.io |
8b0b5017 PH |
6 | |
7 | default: | |
8 | tags: | |
9 | - ${DEFAULT_TAG} | |
10 | ||
cb735173 JS |
11 | # Grab our configured image. The source for this is found |
12 | # in the u-boot tree at tools/docker/Dockerfile | |
453c3fb4 | 13 | image: ${MIRROR_DOCKER}/trini/u-boot-gitlab-ci-runner:jammy-20230804-25Aug2023 |
1a62a722 TR |
14 | |
15 | # We run some tests in different order, to catch some failures quicker. | |
16 | stages: | |
1a62a722 | 17 | - testsuites |
b29cb058 | 18 | - test.py |
1a62a722 TR |
19 | - world build |
20 | ||
21 | .buildman_and_testpy_template: &buildman_and_testpy_dfn | |
1a62a722 | 22 | stage: test.py |
58b35850 | 23 | retry: 2 # QEMU may be too slow, etc. |
399f739b AC |
24 | rules: |
25 | - when: always | |
1a62a722 TR |
26 | before_script: |
27 | # Clone uboot-test-hooks | |
bd181a24 | 28 | - git config --global --add safe.directory "${CI_PROJECT_DIR}" |
85ae52b9 | 29 | - git clone --depth=1 https://source.denx.de/u-boot/u-boot-test-hooks /tmp/uboot-test-hooks |
1a62a722 TR |
30 | - ln -s travis-ci /tmp/uboot-test-hooks/bin/`hostname` |
31 | - ln -s travis-ci /tmp/uboot-test-hooks/py/`hostname` | |
28a51234 TR |
32 | - grub-mkimage --prefix="" -o ~/grub_x86.efi -O i386-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd |
33 | - grub-mkimage --prefix="" -o ~/grub_x64.efi -O x86_64-efi normal echo lsefimmap lsefi lsefisystab efinet tftp minicmd | |
49fb28a4 | 34 | - if [[ "${TEST_PY_BD}" == "qemu-riscv32_spl" ]]; then |
a966634e HS |
35 | wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ; |
36 | export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/ilp32/generic/firmware/fw_dynamic.bin; | |
49fb28a4 | 37 | fi |
0e60b3a7 | 38 | - if [[ "${TEST_PY_BD}" == "qemu-riscv64_spl" ]] || [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then |
a966634e HS |
39 | wget -O - https://github.com/riscv-software-src/opensbi/releases/download/v1.3.1/opensbi-1.3.1-rv-bin.tar.xz | tar -C /tmp -xJ; |
40 | export OPENSBI=/tmp/opensbi-1.3.1-rv-bin/share/opensbi/lp64/generic/firmware/fw_dynamic.bin; | |
49fb28a4 | 41 | fi |
b29cb058 | 42 | |
1a62a722 | 43 | after_script: |
e5670730 | 44 | - cp -v /tmp/${TEST_PY_BD}/*.{html,css} . |
24df1b14 | 45 | - rm -rf /tmp/uboot-test-hooks /tmp/venv |
1a62a722 | 46 | script: |
dd5c954e | 47 | # If we've been asked to use clang only do one configuration. |
4e32fed4 | 48 | - export UBOOT_TRAVIS_BUILD_DIR=/tmp/${TEST_PY_BD} |
1aa168ca | 49 | - echo BUILD_ENV ${BUILD_ENV} |
9cea4797 SG |
50 | - if [ -n "${BUILD_ENV}" ]; then |
51 | export ${BUILD_ENV}; | |
52 | fi | |
7ec1255c SG |
53 | - tools/buildman/buildman -o ${UBOOT_TRAVIS_BUILD_DIR} -w -E -W -e |
54 | --board ${TEST_PY_BD} ${OVERRIDE} | |
82560ae2 HS |
55 | - cp ~/grub_x86.efi $UBOOT_TRAVIS_BUILD_DIR/ |
56 | - cp ~/grub_x64.efi $UBOOT_TRAVIS_BUILD_DIR/ | |
57 | - cp /opt/grub/grubriscv64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_riscv64.efi | |
82560ae2 HS |
58 | - cp /opt/grub/grubaa64.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm64.efi |
59 | - cp /opt/grub/grubarm.efi $UBOOT_TRAVIS_BUILD_DIR/grub_arm.efi | |
0e60b3a7 BM |
60 | # create sdcard / spi-nor images for sifive unleashed using genimage |
61 | - if [[ "${TEST_PY_BD}" == "sifive_unleashed" ]]; then | |
62 | mkdir -p root; | |
63 | cp ${UBOOT_TRAVIS_BUILD_DIR}/spl/u-boot-spl.bin .; | |
64 | cp ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.itb .; | |
65 | rm -rf tmp; | |
66 | genimage --inputpath . --config board/sifive/unleashed/genimage_sdcard.cfg; | |
67 | cp images/sdcard.img ${UBOOT_TRAVIS_BUILD_DIR}/; | |
68 | rm -rf tmp; | |
69 | genimage --inputpath . --config board/sifive/unleashed/genimage_spi-nor.cfg; | |
70 | cp images/spi-nor.img ${UBOOT_TRAVIS_BUILD_DIR}/; | |
71 | fi | |
bfb2a7fb SG |
72 | - if [[ "${TEST_PY_BD}" == "coreboot" ]]; then |
73 | wget -O - | |
c60e6a24 | 74 | "https://drive.google.com/uc?id=1uJ2VkUQ8czWFZmhJQ90Tp8V_zrJ6BrBH&export=download" | |
bfb2a7fb SG |
75 | xz -dc >${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom; |
76 | wget -O - | |
77 | "https://drive.google.com/uc?id=149Cz-5SZXHNKpi9xg6R_5XITWohu348y&export=download" > | |
78 | cbfstool; | |
79 | chmod a+x cbfstool; | |
80 | ./cbfstool ${UBOOT_TRAVIS_BUILD_DIR}/coreboot.rom add-flat-binary -f ${UBOOT_TRAVIS_BUILD_DIR}/u-boot.bin -n fallback/payload -c LZMA -l 0x1110000 -e 0x1110000; | |
81 | fi | |
085b8978 TR |
82 | - virtualenv -p /usr/bin/python3 /tmp/venv |
83 | - . /tmp/venv/bin/activate | |
84 | - pip install -r test/py/requirements.txt | |
4080d097 | 85 | # "${var:+"-k $var"}" expands to "" if $var is empty, "-k $var" if not |
4e32fed4 | 86 | - export PATH=/opt/qemu/bin:/tmp/uboot-test-hooks/bin:${PATH}; |
1a62a722 | 87 | export PYTHONPATH=/tmp/uboot-test-hooks/py/travis-ci; |
f3092473 | 88 | ./test/py/test.py -ra --bd ${TEST_PY_BD} ${TEST_PY_ID} |
4080d097 | 89 | ${TEST_PY_TEST_SPEC:+"-k ${TEST_PY_TEST_SPEC}"} |
cec1e856 | 90 | --build-dir "$UBOOT_TRAVIS_BUILD_DIR" |
e5670730 MV |
91 | artifacts: |
92 | when: always | |
93 | paths: | |
94 | - "*.html" | |
95 | - "*.css" | |
96 | expire_in: 1 week | |
1a62a722 | 97 | |
399f739b | 98 | .world_build: |
1a62a722 | 99 | stage: world build |
399f739b AC |
100 | rules: |
101 | - when: always | |
102 | ||
103 | build all 32bit ARM platforms: | |
104 | extends: .world_build | |
1a62a722 TR |
105 | script: |
106 | - ret=0; | |
bd181a24 | 107 | git config --global --add safe.directory "${CI_PROJECT_DIR}"; |
f586cdae | 108 | pip install -r tools/buildman/requirements.txt; |
d7713ad3 | 109 | ./tools/buildman/buildman -o /tmp -PEWM arm -x aarch64 || ret=$?; |
dd5c954e | 110 | if [[ $ret -ne 0 ]]; then |
b52f5a19 | 111 | ./tools/buildman/buildman -o /tmp -seP; |
4c749971 TR |
112 | exit $ret; |
113 | fi; | |
9f7bda10 | 114 | |
a11cb57d | 115 | build all 64bit ARM platforms: |
399f739b | 116 | extends: .world_build |
9f7bda10 | 117 | script: |
26a426a1 | 118 | - virtualenv -p /usr/bin/python3 /tmp/venv |
f0db8395 | 119 | - . /tmp/venv/bin/activate |
9f7bda10 | 120 | - ret=0; |
bd181a24 | 121 | git config --global --add safe.directory "${CI_PROJECT_DIR}"; |
f586cdae | 122 | pip install -r tools/buildman/requirements.txt; |
d7713ad3 | 123 | ./tools/buildman/buildman -o /tmp -PEWM aarch64 || ret=$?; |
dd5c954e | 124 | if [[ $ret -ne 0 ]]; then |
b52f5a19 | 125 | ./tools/buildman/buildman -o /tmp -seP; |
4c749971 TR |
126 | exit $ret; |
127 | fi; | |
9f7bda10 | 128 | |
a11cb57d | 129 | build all PowerPC platforms: |
399f739b | 130 | extends: .world_build |
9f7bda10 TR |
131 | script: |
132 | - ret=0; | |
bd181a24 | 133 | git config --global --add safe.directory "${CI_PROJECT_DIR}"; |
dd5c954e SG |
134 | ./tools/buildman/buildman -o /tmp -P -E -W powerpc || ret=$?; |
135 | if [[ $ret -ne 0 ]]; then | |
b52f5a19 | 136 | ./tools/buildman/buildman -o /tmp -seP; |
4c749971 TR |
137 | exit $ret; |
138 | fi; | |
9f7bda10 | 139 | |
a11cb57d | 140 | build all other platforms: |
399f739b | 141 | extends: .world_build |
9f7bda10 TR |
142 | script: |
143 | - ret=0; | |
bd181a24 | 144 | git config --global --add safe.directory "${CI_PROJECT_DIR}"; |
d7713ad3 | 145 | ./tools/buildman/buildman -o /tmp -PEWM -x arm,powerpc || ret=$?; |
dd5c954e | 146 | if [[ $ret -ne 0 ]]; then |
b52f5a19 | 147 | ./tools/buildman/buildman -o /tmp -seP; |
4c749971 TR |
148 | exit $ret; |
149 | fi; | |
1a62a722 | 150 | |
399f739b | 151 | .testsuites: |
c1a7de57 | 152 | stage: testsuites |
399f739b AC |
153 | rules: |
154 | - when: always | |
155 | ||
156 | check for new CONFIG symbols outside Kconfig: | |
157 | extends: .testsuites | |
c1a7de57 | 158 | script: |
bb9b9c1e TR |
159 | - git config --global --add safe.directory "${CI_PROJECT_DIR}" |
160 | # If grep succeeds and finds a match the test fails as we should | |
161 | # have no matches. | |
162 | - git grep -E '^#[[:blank:]]*(define|undef)[[:blank:]]*CONFIG_' | |
a03efb6f TR |
163 | :^doc/ :^arch/arm/dts/ :^scripts/kconfig/lkc.h |
164 | :^include/linux/kconfig.h :^tools/ && exit 1 || exit 0 | |
c1a7de57 | 165 | |
e9cc7029 HS |
166 | # build documentation |
167 | docs: | |
399f739b | 168 | extends: .testsuites |
3eb7b78b | 169 | script: |
836049d6 HS |
170 | - virtualenv -p /usr/bin/python3 /tmp/venvhtml |
171 | - . /tmp/venvhtml/bin/activate | |
172 | - pip install -r doc/sphinx/requirements.txt | |
8a6414d1 | 173 | - make htmldocs KDOC_WERROR=1 |
e9cc7029 | 174 | - make infodocs |
3eb7b78b | 175 | |
1a62a722 TR |
176 | # ensure all configs have MAINTAINERS entries |
177 | Check for configs without MAINTAINERS entry: | |
399f739b | 178 | extends: .testsuites |
1a62a722 | 179 | script: |
d6b3297d | 180 | - ./tools/buildman/buildman --maintainer-check |
1a62a722 TR |
181 | |
182 | # Ensure host tools build | |
562ed115 | 183 | Build tools-only and envtools: |
399f739b | 184 | extends: .testsuites |
1a62a722 | 185 | script: |
562ed115 TR |
186 | - make tools-only_config tools-only -j$(nproc); |
187 | make mrproper; | |
188 | make tools-only_config envtools -j$(nproc) | |
1f3910da | 189 | |
7261833f | 190 | Run binman, buildman, dtoc, Kconfig and patman testsuites: |
399f739b | 191 | extends: .testsuites |
1a62a722 | 192 | script: |
d7ae9321 TR |
193 | - git config --global user.name "GitLab CI Runner"; |
194 | git config --global user.email [email protected]; | |
b6d4e085 | 195 | git config --global --add safe.directory "${CI_PROJECT_DIR}"; |
d7ae9321 | 196 | export USER=gitlab; |
26a426a1 | 197 | virtualenv -p /usr/bin/python3 /tmp/venv; |
d7ae9321 | 198 | . /tmp/venv/bin/activate; |
38229b55 | 199 | pip install -r test/py/requirements.txt; |
f586cdae | 200 | pip install -r tools/buildman/requirements.txt; |
48f792e3 | 201 | export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only; |
d7ae9321 TR |
202 | export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt"; |
203 | export PATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc:${PATH}"; | |
b6d4e085 | 204 | set +e; |
6c914e42 | 205 | ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w |
48f792e3 | 206 | --board tools-only; |
b6d4e085 | 207 | set -e; |
d7ae9321 TR |
208 | ./tools/binman/binman --toolpath ${UBOOT_TRAVIS_BUILD_DIR}/tools test; |
209 | ./tools/buildman/buildman -t; | |
210 | ./tools/dtoc/dtoc -t; | |
6bb74de7 | 211 | ./tools/patman/patman test; |
7261833f | 212 | make testconfig |
1a62a722 | 213 | |
642e51ad SG |
214 | # Check for any pylint regressions |
215 | Run pylint: | |
399f739b | 216 | extends: .testsuites |
642e51ad | 217 | script: |
b6d4e085 | 218 | - git config --global --add safe.directory "${CI_PROJECT_DIR}" |
642e51ad | 219 | - pip install -r test/py/requirements.txt |
f586cdae | 220 | - pip install -r tools/buildman/requirements.txt |
e47bbf7e | 221 | - pip install asteval pylint==2.12.2 pyopenssl |
642e51ad SG |
222 | - export PATH=${PATH}:~/.local/bin |
223 | - echo "[MASTER]" >> .pylintrc | |
224 | - echo "load-plugins=pylint.extensions.docparams" >> .pylintrc | |
48f792e3 | 225 | - export UBOOT_TRAVIS_BUILD_DIR=/tmp/tools-only |
b6d4e085 | 226 | - set +e |
642e51ad | 227 | - ./tools/buildman/buildman -T0 -o ${UBOOT_TRAVIS_BUILD_DIR} -w |
48f792e3 | 228 | --board tools-only |
b6d4e085 | 229 | - set -e |
642e51ad SG |
230 | - pylint --version |
231 | - export PYTHONPATH="${UBOOT_TRAVIS_BUILD_DIR}/scripts/dtc/pylibfdt" | |
232 | - make pylint_err | |
233 | ||
441a3d0a SG |
234 | # Check for pre-schema driver model tags |
235 | Check for pre-schema tags: | |
399f739b | 236 | extends: .testsuites |
441a3d0a SG |
237 | script: |
238 | - git config --global --add safe.directory "${CI_PROJECT_DIR}"; | |
239 | # If grep succeeds and finds a match the test fails as we should | |
240 | # have no matches. | |
241 | - git grep u-boot,dm- -- '*.dts*' && exit 1 || exit 0 | |
242 | ||
c21a5286 SG |
243 | # Check we can package the Python tools |
244 | Check packing of Python tools: | |
399f739b | 245 | extends: .testsuites |
c21a5286 SG |
246 | script: |
247 | - make pip | |
248 | ||
1a62a722 TR |
249 | # Test sandbox with test.py |
250 | sandbox test.py: | |
1a62a722 TR |
251 | variables: |
252 | TEST_PY_BD: "sandbox" | |
1a62a722 TR |
253 | <<: *buildman_and_testpy_dfn |
254 | ||
0219d014 | 255 | sandbox with clang test.py: |
0219d014 TR |
256 | variables: |
257 | TEST_PY_BD: "sandbox" | |
d7e0678c | 258 | OVERRIDE: "-O clang-16" |
0219d014 TR |
259 | <<: *buildman_and_testpy_dfn |
260 | ||
1aa168ca SG |
261 | sandbox without LTO test.py: |
262 | variables: | |
263 | TEST_PY_BD: "sandbox" | |
264 | BUILD_ENV: "NO_LTO=1" | |
265 | <<: *buildman_and_testpy_dfn | |
266 | ||
c807bdd0 MV |
267 | sandbox64 test.py: |
268 | variables: | |
269 | TEST_PY_BD: "sandbox64" | |
270 | <<: *buildman_and_testpy_dfn | |
271 | ||
272 | sandbox64 with clang test.py: | |
273 | variables: | |
274 | TEST_PY_BD: "sandbox64" | |
275 | OVERRIDE: "-O clang-16" | |
276 | <<: *buildman_and_testpy_dfn | |
277 | ||
278 | sandbox64 without LTO test.py: | |
279 | variables: | |
280 | TEST_PY_BD: "sandbox64" | |
281 | BUILD_ENV: "NO_LTO=1" | |
282 | <<: *buildman_and_testpy_dfn | |
283 | ||
1a62a722 | 284 | sandbox_spl test.py: |
1a62a722 TR |
285 | variables: |
286 | TEST_PY_BD: "sandbox_spl" | |
afb26ba9 | 287 | TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl" |
1a62a722 TR |
288 | <<: *buildman_and_testpy_dfn |
289 | ||
6c914e42 | 290 | sandbox_noinst_test.py: |
6c914e42 SG |
291 | variables: |
292 | TEST_PY_BD: "sandbox_noinst" | |
293 | TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl" | |
294 | <<: *buildman_and_testpy_dfn | |
295 | ||
b93cc1e7 SA |
296 | sandbox_noinst with LOAD_FIT_FULL test.py: |
297 | variables: | |
298 | TEST_PY_BD: "sandbox_noinst" | |
299 | TEST_PY_TEST_SPEC: "test_ofplatdata or test_handoff or test_spl" | |
300 | OVERRIDE: "-a CONFIG_SPL_LOAD_FIT_FULL=y" | |
301 | <<: *buildman_and_testpy_dfn | |
302 | ||
a31eff30 SG |
303 | sandbox_vpl test.py: |
304 | variables: | |
305 | TEST_PY_BD: "sandbox_vpl" | |
8b609878 | 306 | TEST_PY_TEST_SPEC: "vpl or test_spl" |
a31eff30 | 307 | <<: *buildman_and_testpy_dfn |
9cea4797 SG |
308 | |
309 | # Enable tracing and disable LTO, to ensure functions are not elided | |
310 | sandbox trace_test.py: | |
311 | variables: | |
312 | TEST_PY_BD: "sandbox" | |
313 | BUILD_ENV: "FTRACE=1 NO_LTO=1" | |
314 | TEST_PY_TEST_SPEC: "trace" | |
61cad8da | 315 | OVERRIDE: "-a CONFIG_TRACE=y -a CONFIG_TRACE_EARLY=y -a CONFIG_TRACE_EARLY_SIZE=0x01000000 -a CONFIG_TRACE_BUFFER_SIZE=0x02000000" |
9cea4797 | 316 | <<: *buildman_and_testpy_dfn |
a31eff30 | 317 | |
699c0b93 | 318 | evb-ast2500 test.py: |
699c0b93 TR |
319 | variables: |
320 | TEST_PY_BD: "evb-ast2500" | |
321 | TEST_PY_ID: "--id qemu" | |
699c0b93 TR |
322 | <<: *buildman_and_testpy_dfn |
323 | ||
b24087ae JS |
324 | evb-ast2600 test.py: |
325 | variables: | |
326 | TEST_PY_BD: "evb-ast2600" | |
327 | TEST_PY_ID: "--id qemu" | |
328 | <<: *buildman_and_testpy_dfn | |
329 | ||
1a62a722 | 330 | sandbox_flattree test.py: |
1a62a722 TR |
331 | variables: |
332 | TEST_PY_BD: "sandbox_flattree" | |
1a62a722 TR |
333 | <<: *buildman_and_testpy_dfn |
334 | ||
15e30106 KA |
335 | vexpress_ca9x4 test.py: |
336 | variables: | |
337 | TEST_PY_BD: "vexpress_ca9x4" | |
338 | TEST_PY_ID: "--id qemu" | |
339 | <<: *buildman_and_testpy_dfn | |
340 | ||
1a62a722 | 341 | integratorcp_cm926ejs test.py: |
1a62a722 TR |
342 | variables: |
343 | TEST_PY_BD: "integratorcp_cm926ejs" | |
344 | TEST_PY_TEST_SPEC: "not sleep" | |
345 | TEST_PY_ID: "--id qemu" | |
1a62a722 TR |
346 | <<: *buildman_and_testpy_dfn |
347 | ||
348 | qemu_arm test.py: | |
1a62a722 TR |
349 | variables: |
350 | TEST_PY_BD: "qemu_arm" | |
351 | TEST_PY_TEST_SPEC: "not sleep" | |
1a62a722 TR |
352 | <<: *buildman_and_testpy_dfn |
353 | ||
354 | qemu_arm64 test.py: | |
1a62a722 TR |
355 | variables: |
356 | TEST_PY_BD: "qemu_arm64" | |
357 | TEST_PY_TEST_SPEC: "not sleep" | |
1a62a722 | 358 | <<: *buildman_and_testpy_dfn |
a21e1123 MV |
359 | |
360 | qemu_m68k test.py: | |
361 | variables: | |
362 | TEST_PY_BD: "M5208EVBE" | |
363 | TEST_PY_ID: "--id qemu" | |
364 | TEST_PY_TEST_SPEC: "not sleep and not efi" | |
365 | OVERRIDE: "-a CONFIG_M68K_QEMU=y -a ~CONFIG_MCFTMR" | |
366 | <<: *buildman_and_testpy_dfn | |
1a62a722 | 367 | |
d8533167 | 368 | qemu_malta test.py: |
d8533167 DS |
369 | variables: |
370 | TEST_PY_BD: "malta" | |
371 | TEST_PY_TEST_SPEC: "not sleep and not efi" | |
372 | TEST_PY_ID: "--id qemu" | |
373 | <<: *buildman_and_testpy_dfn | |
374 | ||
375 | qemu_maltael test.py: | |
d8533167 DS |
376 | variables: |
377 | TEST_PY_BD: "maltael" | |
378 | TEST_PY_TEST_SPEC: "not sleep and not efi" | |
379 | TEST_PY_ID: "--id qemu" | |
380 | <<: *buildman_and_testpy_dfn | |
381 | ||
382 | qemu_malta64 test.py: | |
d8533167 DS |
383 | variables: |
384 | TEST_PY_BD: "malta64" | |
385 | TEST_PY_TEST_SPEC: "not sleep and not efi" | |
386 | TEST_PY_ID: "--id qemu" | |
387 | <<: *buildman_and_testpy_dfn | |
388 | ||
389 | qemu_malta64el test.py: | |
d8533167 DS |
390 | variables: |
391 | TEST_PY_BD: "malta64el" | |
392 | TEST_PY_TEST_SPEC: "not sleep and not efi" | |
393 | TEST_PY_ID: "--id qemu" | |
394 | <<: *buildman_and_testpy_dfn | |
395 | ||
1a62a722 | 396 | qemu-ppce500 test.py: |
1a62a722 TR |
397 | variables: |
398 | TEST_PY_BD: "qemu-ppce500" | |
399 | TEST_PY_TEST_SPEC: "not sleep" | |
1a62a722 TR |
400 | <<: *buildman_and_testpy_dfn |
401 | ||
a379d330 | 402 | qemu-riscv32 test.py: |
a379d330 BM |
403 | variables: |
404 | TEST_PY_BD: "qemu-riscv32" | |
405 | TEST_PY_TEST_SPEC: "not sleep" | |
a379d330 BM |
406 | <<: *buildman_and_testpy_dfn |
407 | ||
7298d82d | 408 | qemu-riscv64 test.py: |
7298d82d TR |
409 | variables: |
410 | TEST_PY_BD: "qemu-riscv64" | |
411 | TEST_PY_TEST_SPEC: "not sleep" | |
49fb28a4 BM |
412 | <<: *buildman_and_testpy_dfn |
413 | ||
414 | qemu-riscv32_spl test.py: | |
49fb28a4 BM |
415 | variables: |
416 | TEST_PY_BD: "qemu-riscv32_spl" | |
417 | TEST_PY_TEST_SPEC: "not sleep" | |
49fb28a4 BM |
418 | <<: *buildman_and_testpy_dfn |
419 | ||
420 | qemu-riscv64_spl test.py: | |
49fb28a4 BM |
421 | variables: |
422 | TEST_PY_BD: "qemu-riscv64_spl" | |
423 | TEST_PY_TEST_SPEC: "not sleep" | |
7298d82d TR |
424 | <<: *buildman_and_testpy_dfn |
425 | ||
1a62a722 | 426 | qemu-x86 test.py: |
1a62a722 TR |
427 | variables: |
428 | TEST_PY_BD: "qemu-x86" | |
429 | TEST_PY_TEST_SPEC: "not sleep" | |
1a62a722 TR |
430 | <<: *buildman_and_testpy_dfn |
431 | ||
432 | qemu-x86_64 test.py: | |
1a62a722 TR |
433 | variables: |
434 | TEST_PY_BD: "qemu-x86_64" | |
435 | TEST_PY_TEST_SPEC: "not sleep" | |
1a62a722 TR |
436 | <<: *buildman_and_testpy_dfn |
437 | ||
0e125756 | 438 | r2dplus_i82557c test.py: |
0e125756 MV |
439 | variables: |
440 | TEST_PY_BD: "r2dplus" | |
441 | TEST_PY_ID: "--id i82557c_qemu" | |
442 | <<: *buildman_and_testpy_dfn | |
443 | ||
444 | r2dplus_pcnet test.py: | |
0e125756 MV |
445 | variables: |
446 | TEST_PY_BD: "r2dplus" | |
447 | TEST_PY_ID: "--id pcnet_qemu" | |
448 | <<: *buildman_and_testpy_dfn | |
449 | ||
450 | r2dplus_rtl8139 test.py: | |
0e125756 MV |
451 | variables: |
452 | TEST_PY_BD: "r2dplus" | |
453 | TEST_PY_ID: "--id rtl8139_qemu" | |
454 | <<: *buildman_and_testpy_dfn | |
455 | ||
456 | r2dplus_tulip test.py: | |
0e125756 MV |
457 | variables: |
458 | TEST_PY_BD: "r2dplus" | |
459 | TEST_PY_ID: "--id tulip_qemu" | |
460 | <<: *buildman_and_testpy_dfn | |
461 | ||
0e60b3a7 BM |
462 | sifive_unleashed_sdcard test.py: |
463 | variables: | |
464 | TEST_PY_BD: "sifive_unleashed" | |
465 | TEST_PY_ID: "--id sdcard_qemu" | |
466 | <<: *buildman_and_testpy_dfn | |
467 | ||
468 | sifive_unleashed_spi-nor test.py: | |
469 | variables: | |
470 | TEST_PY_BD: "sifive_unleashed" | |
471 | TEST_PY_ID: "--id spi-nor_qemu" | |
472 | <<: *buildman_and_testpy_dfn | |
473 | ||
f7c6ee7f | 474 | xilinx_zynq_virt test.py: |
1a62a722 | 475 | variables: |
f7c6ee7f | 476 | TEST_PY_BD: "xilinx_zynq_virt" |
1a62a722 | 477 | TEST_PY_TEST_SPEC: "not sleep" |
1a62a722 | 478 | TEST_PY_ID: "--id qemu" |
1a62a722 TR |
479 | <<: *buildman_and_testpy_dfn |
480 | ||
481 | xilinx_versal_virt test.py: | |
1a62a722 TR |
482 | variables: |
483 | TEST_PY_BD: "xilinx_versal_virt" | |
484 | TEST_PY_TEST_SPEC: "not sleep" | |
1a62a722 | 485 | TEST_PY_ID: "--id qemu" |
1a62a722 TR |
486 | <<: *buildman_and_testpy_dfn |
487 | ||
488 | xtfpga test.py: | |
1a62a722 TR |
489 | variables: |
490 | TEST_PY_BD: "xtfpga" | |
491 | TEST_PY_TEST_SPEC: "not sleep" | |
1a62a722 | 492 | TEST_PY_ID: "--id qemu" |
1a62a722 | 493 | <<: *buildman_and_testpy_dfn |
bfb2a7fb SG |
494 | |
495 | coreboot test.py: | |
496 | variables: | |
497 | TEST_PY_BD: "coreboot" | |
498 | TEST_PY_TEST_SPEC: "not sleep" | |
499 | TEST_PY_ID: "--id qemu" | |
bfb2a7fb | 500 | <<: *buildman_and_testpy_dfn |